Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenFeatureSeqInitializerImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenFeatureSeqInitializerImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenElementInitializer, GenFeatureSeqInitializer

    public class GenFeatureSeqInitializerImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements GenFeatureSeqInitializer

An implementation of the model object 'Gen Feature Seq Initializer'.

The following features are implemented:

- `Type Model Facet`
- `Initializers`
- `Element Class`
- `Creating Initializer`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.codegen.ecore.genmodel.GenClass` `elementClass` The cached value of the '`Element Class`' reference
`protected org.eclipse.emf.common.util.EList<GenFeatureInitializer>` `initializers` The cached value of the '`Initializers`' containment reference list

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenFeatureSeqInitializerImpl()`

Method Summary
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `basicGetElementClass()`
`TypeModelFacet` `basicGetTypeModelFacet()`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`GenReferenceNewElementSpec` `getCreatingInitializer()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getElementClass()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getElementClassGen()`
`org.eclipse.emf.common.util.EList<GenFeatureInitializer>` `getInitializers()`
`TypeModelFacet` `getTypeModelFacet()`
`void` `setElementClass(org.eclipse.emf.codegen.ecore.genmodel.GenClass newElementClass)`
`void` `setElementClassGen(org.eclipse.emf.codegen.ecore.genmodel.GenClass newElementClass)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### initializers

    protected org.eclipse.emf.common.util.EList<GenFeatureInitializer> initializers

  The cached value of the '`Initializers`' containment reference list.

  See Also:
    `getInitializers()`
  ** Generated **
  Ordered:

### elementClass

    protected org.eclipse.emf.codegen.ecore.genmodel.GenClass elementClass

  The cached value of the '`Element Class`' reference.

  See Also:
    `getElementClass()`
  ** Generated **
  Ordered:

Constructor Detail

### GenFeatureSeqInitializerImpl

    protected GenFeatureSeqInitializerImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getTypeModelFacet

    public TypeModelFacet getTypeModelFacet()

  Specified by:
    `getTypeModelFacet` in interface `GenElementInitializer`
  Returns:
    the value of the 'Type Model Facet' reference.
  See Also:
    `GMFGenPackage.getGenElementInitializer_TypeModelFacet()`
  ** Generated **

### getInitializers

    public org.eclipse.emf.common.util.EList<GenFeatureInitializer> getInitializers()

  Specified by:
    `getInitializers` in interface `GenFeatureSeqInitializer`
  Returns:
    the value of the 'Initializers' containment reference list.
  See Also:
    `GMFGenPackage.getGenFeatureSeqInitializer_Initializers()`, `GenFeatureInitializer.getFeatureSeqInitializer()`
  ** Generated **

### getElementClass

    public org.eclipse.emf.codegen.ecore.genmodel.GenClass getElementClass()

  Specified by:
    `getElementClass` in interface `GenFeatureSeqInitializer`
  Returns:
    the value of the 'Element Class' reference.
  See Also:
    `GenFeatureSeqInitializer.setElementClass(GenClass)`, `GMFGenPackage.getGenFeatureSeqInitializer_ElementClass()`
  ** Generated **
    NOT

### getElementClassGen

    public org.eclipse.emf.codegen.ecore.genmodel.GenClass getElementClassGen()

  ** Generated **

### basicGetTypeModelFacet

    public TypeModelFacet basicGetTypeModelFacet()

  ** Generated **
    NOT

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### basicGetElementClass

    public org.eclipse.emf.codegen.ecore.genmodel.GenClass basicGetElementClass()

  ** Generated **

### setElementClass

    public void setElementClass(org.eclipse.emf.codegen.ecore.genmodel.GenClass newElementClass)

  Specified by:
    `setElementClass` in interface `GenFeatureSeqInitializer`
  Parameters:
    `newElementClass` - the new value of the 'Element Class' reference.
  See Also:
    `GenFeatureSeqInitializer.getElementClass()`
  ** Generated **
    NOT

### setElementClassGen

    public void setElementClassGen(org.eclipse.emf.codegen.ecore.genmodel.GenClass newElementClass)

  ** Generated **

### getCreatingInitializer

    public GenReferenceNewElementSpec getCreatingInitializer()

  Specified by:
    `getCreatingInitializer` in interface `GenFeatureSeqInitializer`
  Returns:
    the value of the 'Creating Initializer' container reference.
  See Also:
    `GMFGenPackage.getGenFeatureSeqInitializer_CreatingInitializer()`, `GenReferenceNewElementSpec.getNewElementInitializers()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.